# Create an ACH return

**POST** `/transfers/ach/{ach_transfer_id}/return`

Submit a request to return an incoming ACH transfer that is sent by other ODFIs (i.e. Column is the RDFI). At most one return request can be submitted for each incoming ACH transfer. You can read more about [ACH returns here](/api/ach-transfer/create-an-ach-return).

### Path Parameters

- `ach_transfer_id` `string` _(required)_ — Unique identifier for the ACH transfer.

### Body Parameters

- `addenda` `string` — Addenda information for the return. Maximum length: `44` characters.
- `description` `string` — Description for the return. Maximum length: `255` characters.
- `return_code` `string` _(required)_ — The ACH return reason code (e.g. R01, R02, etc.)

**Request**

```shell
curl -X POST https://api.column.com/transfers/ach/{ach_transfer_id}/return \\
  -u your_api_key: \\
  -H "Content-Type: application/json"
```

**Response 200**

```json
{
  "ach_transfer_id": "",
  "created_at": "2021-11-29T20:08:58.662Z",
  "updated_at": "2021-11-29T20:08:58.662Z",
  "status": "INVALID",
  "is_incoming": true,
  "details": [
    {
      "created_at": "2021-11-29T20:08:58.662Z",
      "updated_at": "2021-11-29T20:08:58.662Z",
      "status": "INVALID",
      "return_code": "",
      "description": "",
      "addenda": ""
    }
  ]
}
```
